[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoEnumPapers

Performs actions needed to get the supported papers for the print device.

## Declaration

Source position: printers.pas line 276

`protected procedure TPrinter.DoEnumPapers(`
`Lst: TStrings`
`); virtual;`

## Arguments

`Lst` |  | TStrings instance with the list of paper supported for the print device.

## Description

DoEnumPapers has an empty implementation in TPrinter; it must be overridden in a descendent class to implement the functionality.

## See also

TPrinter.PaperSize |  | Contains paper sizes available and/or selected for the print device.
TPaperSize |  | Size for a paper used on an attached printer device.